Package org.gradle.model

# Class ModelRuleBindingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.ModelRuleBindingException

All Implemented Interfaces:
  `Serializable`

@Incubating public class ModelRuleBindingException extends GradleException
Thrown when there is a problem binding the model element references of a model rule.

Should always be thrown as the cause of a `InvalidModelRuleException`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModelRuleBindingException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModelRuleBindingException

public ModelRuleBindingException(String message)